# tdd_templates

A master repo of multiple templates for rust tdd cycles across multiple platforms


## Targets(Platforms)

This outlines the plans for what targets will be the most supported and 
worked on.

### Tier 1

- [ ] x86-linux/Freebsd
- [ ] stm32f1xx
- [ ] ch32v20x


### Tier 2

- [ ] AVR
- [ ] armv6
- [ ] armv7


## Usage

1. Download the master repo(superrepo)
2. cd into the directory.
3. check out the newest release tag.
4. fetch the git sub-modules or templates as desired.
5. read the readme in the sub-module/template

```sh
git clone ssh://git@gorge.works:30023/TDD-For-Rust/tdd_templates.git
cd tdd_templates

# Updates and clones for all submodules.
git submodule update --init
```


